import { request, getRequestParams } from '@/utils/request';

/**
 * 创建进入直播教室的会话
 * @param data { task_id 任务ID }
 */
export function CreateEnterLiveRoomSession(data) {
  let params = getRequestParams('live_room-live_room_dispatch-CreateEnterLiveRoomSession');

  return request({
    method: 'post',
    url: process.env.VUE_APP_LearnWebSI,
    params,
    data
  });
}

/**
 * 得到直播间学员列表
 * @param {Object} data { task_id 任务ID }
 */
export function GetLiveRoomStudentList(data) {
  let params = getRequestParams('live_room-live_room_dispatch-GetLiveRoomStudentList');

  return request({
    method: 'post',
    url: process.env.VUE_APP_LearnWebSI,
    params,
    data
  });
}

export function StudentExitLiveRoom(data) {
  let params = getRequestParams('live_room-live_room_dispatch-StudentExitLiveRoom');

  return request({
    method: 'post',
    url: process.env.VUE_APP_LearnWebSI,
    params,
    data
  });
}
